Page MenuHomePhabricator

UsageTracking: split the "update" operation for usage entries into "add" and "prune".
Closed, ResolvedPublic1 Story Points

Description

While "update" replaced the usage info for a given page and updated and subscriptions, this should now be done in two steps, which can be triggered separately:

  • "add" adds usage tracking info (but removes none), and adds subscriptions if necessary
  • "prune" removes (stale) tracking info, and removed subscriptions if possible

Event Timeline

daniel created this task.May 18 2015, 10:39 AM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)
daniel claimed this task.May 18 2015, 12:48 PM
daniel moved this task from Backlog to Doing on the Wikidata-Sprint-2015-05-05 board.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.May 18 2015, 3:23 PM
Rical removed a subscriber: Rical.May 18 2015, 9:23 PM
Tobi_WMDE_SW edited a custom field.May 25 2015, 11:08 AM

Change 210171 merged by jenkins-bot:
Split usage tracking update into "add" and "prune" parts.

https://gerrit.wikimedia.org/r/210171

Addshore closed this task as Resolved.Jun 8 2015, 9:58 AM
Addshore added a subscriber: Addshore.